# Method: customers.configurations.patch

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch#body.aspect)

Updates a configuration's field values.

### HTTP request

`PATCH https://androiddeviceprovisioning.googleapis.com/v1/{configuration.name=customers/*/configurations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `configuration.name` | `string` Output only. The API resource name in the format `customers/[CUSTOMER_ID]/configurations/[CONFIGURATION_ID]`. Assigned by the server. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The field mask applied to the target `Configuration` before updating the fields. To learn more about using field masks, read [FieldMask](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask) in the Protocol Buffers documentation. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations#Configuration`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations#Configuration`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).